org.apache.hadoop.yarn.api.records.impl.pb

## Class ApplicationAttemptReportPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ApplicationAttemptReport
  - - org.apache.hadoop.yarn.api.records.impl.pb.ApplicationAttemptReportPBImpl

-     public class ApplicationAttemptReportPBImpl
      extends org.apache.hadoop.yarn.api.records.ApplicationAttemptReport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationAttemptReportPBImpl()`
    `ApplicationAttemptReportPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAttemptReportProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getAMContainerId()`
    `org.apache.hadoop.yarn.api.records.ApplicationAttemptId` | `getApplicationAttemptId()`
    `String` | `getDiagnostics()`
    `long` | `getFinishTime()`
    `String` | `getHost()`
    `String` | `getOriginalTrackingUrl()`
    `org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAttemptReportProto` | `getProto()`
    `int` | `getRpcPort()`
    `long` | `getStartTime()`
    `String` | `getTrackingUrl()`
    `org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState` | `getYarnApplicationAttemptState()`
    `int` | `hashCode()`
    `void` | `setAMContainerId(org.apache.hadoop.yarn.api.records.ContainerId amContainerId)`
    `void` | `setApplicationAttemptId(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)`
    `void` | `setDiagnostics(String diagnostics)`
    `void` | `setFinishTime(long finishTime)`
    `void` | `setHost(String host)`
    `void` | `setOriginalTrackingUrl(String oUrl)`
    `void` | `setRpcPort(int rpcPort)`
    `void` | `setStartTime(long startTime)`
    `void` | `setTrackingUrl(String url)`
    `void` | `setYarnApplicationAttemptState(org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState state)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.ApplicationAttemptReport

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationAttemptReportPBImpl

          public ApplicationAttemptReportPBImpl()

    - #### ApplicationAttemptReportPBImpl

          public ApplicationAttemptReportPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAttemptReportProto proto)

  - ### Method Detail

    - #### getApplicationAttemptId

          public org.apache.hadoop.yarn.api.records.ApplicationAttemptId getApplicationAttemptId()

      Specified by:
        `getApplicationAttemptId` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getHost

          public String getHost()

      Specified by:
        `getHost` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getRpcPort

          public int getRpcPort()

      Specified by:
        `getRpcPort` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getTrackingUrl

          public String getTrackingUrl()

      Specified by:
        `getTrackingUrl` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getOriginalTrackingUrl

          public String getOriginalTrackingUrl()

      Specified by:
        `getOriginalTrackingUrl` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getDiagnostics

          public String getDiagnostics()

      Specified by:
        `getDiagnostics` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getYarnApplicationAttemptState

          public org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState getYarnApplicationAttemptState()

      Specified by:
        `getYarnApplicationAttemptState` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setYarnApplicationAttemptState

          public void setYarnApplicationAttemptState(org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState state)

      Specified by:
        `setYarnApplicationAttemptState` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setApplicationAttemptId

          public void setApplicationAttemptId(org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)

      Specified by:
        `setApplicationAttemptId` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setHost

          public void setHost(String host)

      Specified by:
        `setHost` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setRpcPort

          public void setRpcPort(int rpcPort)

      Specified by:
        `setRpcPort` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setTrackingUrl

          public void setTrackingUrl(String url)

      Specified by:
        `setTrackingUrl` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setOriginalTrackingUrl

          public void setOriginalTrackingUrl(String oUrl)

      Specified by:
        `setOriginalTrackingUrl` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setDiagnostics

          public void setDiagnostics(String diagnostics)

      Specified by:
        `setDiagnostics` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAttemptReportProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getAMContainerId

          public org.apache.hadoop.yarn.api.records.ContainerId getAMContainerId()

      Specified by:
        `getAMContainerId` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setAMContainerId

          public void setAMContainerId(org.apache.hadoop.yarn.api.records.ContainerId amContainerId)

      Specified by:
        `setAMContainerId` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setStartTime

          public void setStartTime(long startTime)

      Specified by:
        `setStartTime` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### setFinishTime

          public void setFinishTime(long finishTime)

      Specified by:
        `setFinishTime` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getStartTime

          public long getStartTime()

      Specified by:
        `getStartTime` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

    - #### getFinishTime

          public long getFinishTime()

      Specified by:
        `getFinishTime` in class `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.